Summary:       DjVu viewer
Name:          djview4
Version:       4.8
Release:       5%{?dist}
License:       GPLv2+
Group:         Applications/Publishing
URL:           http://djvu.sourceforge.net/djview4.html
Source:        http://downloads.sourceforge.net/project/djvu/DjView/%{version}/djview-%{version}.tar.gz
Patch0:        djview-4.8-swap.patch
Patch1:        djview-4.8-include.patch
BuildRequires: qt-devel >= 4.2 
BuildRequires: desktop-file-utils
BuildRequires: djvulibre-devel >= 3.5.19 
# For plugin, see #756950
BuildRequires: glib2-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description 
DjView4 is a DjVu document viewer with the following features:
 o continuous scrolling of pages
 o side-by-side display of pages
 o display thumbnails as a grid
 o display outlines
 o page names supported
 o metadata dialog

It's based on DjVuLibre and Qt4.

%package       plugin
Summary:       Browser plugin for DjVu viewer
Group:         Applications/Publishing
Requires:      %{name} = %{version}-%{release}

%description   plugin
This package provides a browser plugin for the DjVu document viewer.

%prep
%setup -q -n djview-%{version}
%patch0 -p1
%patch1 -p1
%{__sed} -i -e '1 d' desktopfiles/djvulibre-djview4.desktop

%build
QTDIR=%{_libdir}/qt4 QMAKE=qmake-qt4 %configure --enable-nsdejavu
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} INSTALL="%{__install} -p" \
    install-djview install-nsdejavu plugindir=%{_libdir}/mozilla/plugins

# djview is taken from djvulibre
%{__rm} %{buildroot}%{_bindir}/djview %{buildroot}%{_mandir}/man1/djview.1*

# desktop file
%{__install} -p -m 0644 -D desktopfiles/hi32-djview4.png \
    %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/djvulibre-djview4.png
desktop-file-install --vendor fedora --dir %{buildroot}%{_datadir}/applications \
    desktopfiles/djvulibre-djview4.desktop

%clean
%{__rm} -rf %{buildroot}

%post
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-, root, root)
%doc COPYRIGHT COPYING NEWS README
%{_bindir}/%{name}
%dir %{_datadir}/djvu
%{_datadir}/djvu/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/fedora-djvulibre-%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/djvulibre-%{name}.png

%files plugin
%{_libdir}/mozilla
%{_mandir}/man1/nsdejavu.1*

%changelog
* Tue Nov 29 2011 Terje Rosten <terje.rosten@ntnu.no> - 4.8-5
- Add glib2 to buildreq

* Tue Nov 29 2011 Terje Rosten <terje.rosten@ntnu.no> - 4.8-4
- Build with correct options

* Mon Nov 28 2011 Terje Rosten <terje.rosten@ntnu.no> - 4.8-3
- Enable browser plugin
- Add patch to fix includes for plugin

* Mon Oct 03 2011 Terje Rosten <terje.rosten@ntnu.no> - 4.8-2
- Add patch to build with newer gcc

* Fri Sep 30 2011 Terje Rosten <terje.rosten@ntnu.no> - 4.8-1
- 4.8

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 29 2011 Terje Rosten <terje.rosten@ntnu.no> - 4.6-1
- 4.6

* Sun Dec 06 2009 Terje Rosten <terje.rosten@ntnu.no> - 4.5-1
- 4.5

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb  8 2009 Terje Rosten <terje.rosten@ntnu.no> - 4.4-1
- 4.4
- Own all dirs

* Sat Jan 17 2009 Rakesh Pandit <rakesh@fedoraproject.org> - 4.3-3
- Rebuild with new djvulibre

* Tue Aug 12 2008 Terje Rosten <terje.rosten@ntnu.no> - 4.3-2
- Add gtk-update-icon-cache scriptlet

* Fri Apr 25 2008 Terje Rosten <terje.rosten@ntnu.no> - 4.3-1
- 4.3
- Loads of fixes

* Sat Jan 27 2007 Leon Bottou <leonb@users.sourceforge.net> 4.0-1
- initial release.

